Page MenuHomePhabricator

Can create collection with non-main namespace pages but they do not show up
Closed, ResolvedPublic1 Story Points

Description

I can create a collection of pages outside the main namespace, but they do not show up. See:

We should show all pages regardless of namespace sorted by namespace such that main namespace articles go first.

Event Timeline

JKatzWMF created this task.Apr 2 2015, 1:04 AM
JKatzWMF raised the priority of this task from to Low.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Gather.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 1:04 AM

Yeh we need to think about how this works...

I think beta is the time to figure it out!

sorry that was incredibly vague: I mean, I think we should allow user namespace to show up and see what happens...in beta.

Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Apr 2 2015, 3:30 PM
Jdlrobson updated the task description. (Show Details)Apr 11 2015, 12:22 AM
Jdlrobson set Security to None.
Jdlrobson edited a custom field.
Jdlrobson moved this task from Product triage to Bug backlog on the Gather board.
Jdlrobson renamed this task from Can create collection with user pages, but they do not show up to Can create collection with non-main namespace pages but they do not show up.Apr 13 2015, 5:54 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Forward board.
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Forward board.

Change 203991 had a related patch set uploaded (by Jdlrobson):
Show pages outside main namespace

https://gerrit.wikimedia.org/r/203991

To show non-main namespace pages at the bottom will require some changes to the API. See bug T95972

Change 203991 merged by jenkins-bot:
Show pages outside main namespace

https://gerrit.wikimedia.org/r/203991

As @Jdlrobson said having two sort orders is more complicated. For now the non-main pages show with the main pages following the default alphabetical order.

How would this work? Sort by namespace and then inside each namespace sort alphabetically? How will this work when we implement reordering?

Jdlrobson moved this task from Bug backlog to In sprint on the Gather board.Apr 16 2015, 5:36 PM
JKatzWMF closed this task as Resolved.Apr 27 2015, 4:41 AM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Forward board.